# Class SkyGridPlotter.GridStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.SkyGridPlotter.GridStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `SkyGridPlotter`

public static class SkyGridPlotter.GridStyle extends Object implements Style
Style for configuring the grid plot.

Since:
  10 Apr 2017
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`GridStyle(Rotation rotation, Color color, SkyAxisLabeller labeller, Captioner captioner, SkySys viewsys, boolean sexagesimal, double loncrowd, double latcrowd, boolean antialias)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GridStyle

public GridStyle(Rotation rotation, Color color, SkyAxisLabeller labeller, Captioner captioner, SkySys viewsys, boolean sexagesimal, double loncrowd, double latcrowd, boolean antialias)
Constructor.

Parameters:
  `rotation` - rotation from plot basic orientation
  `color` - grid line colour
  `labeller` - grid line label positioner
  `captioner` - grid line label captioner
  `viewsys` - view sky system
  `sexagesimal` - true for sexagesimal, false for decimal
  `loncrowd` - longitude grid line crowding, 1 is normal
  `latcrowd` - latitude grid line crowding, 1 is normal
  `antialias` - true for antialiased lines

## Method Details

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`